### Method

# Gtk MediaStream prepared

#### Declaration [src]

    void
    gtk_media_stream_prepared (
      GtkMediaStream* self,
      gboolean has_audio,
      gboolean has_video,
      gboolean seekable,
      gint64 duration
    )

#### Description [src]

Same as gtk_media_stream_stream_prepared().

Deprecated since: | 4.4
Use `gtk_media_stream_stream_prepared()` instead.

#### Parameters

`has_audio` | `gboolean`
| `TRUE` if the stream should advertise audio support.
`has_video` | `gboolean`
| `TRUE` if the stream should advertise video support.
`seekable` | `gboolean`
| `TRUE` if the stream should advertise seekability.
`duration` | `gint64`
| The duration of the stream or 0 if unknown.